### A free/open-source library for quantitative finance

Public Member Functions | Protected Attributes | Friends
LfmCovarianceProxy Class Reference

proxy for a libor forward model covariance parameterization More...

`#include <ql/legacy/libormarketmodels/lfmcovarproxy.hpp>`

Inheritance diagram for LfmCovarianceProxy:
[legend]

List of all members.

## Public Member Functions

| LfmCovarianceProxy (const boost::shared_ptr< LmVolatilityModel > &volaModel, const boost::shared_ptr< LmCorrelationModel > &corrModel)
boost::shared_ptr < LmVolatilityModel > | volatilityModel () const
boost::shared_ptr < LmCorrelationModel > | correlationModel () const
Disposable< Matrix > | diffusion (Time t, const Array &x=Null< Array >()) const
Disposable< Matrix > | covariance (Time t, const Array &x=Null< Array >()) const
virtual Real | integratedCovariance (Size i, Size j, Time t, const Array &x=Null< Array >()) const

## Protected Attributes

const boost::shared_ptr < LmVolatilityModel > | volaModel_
const boost::shared_ptr < LmCorrelationModel > | corrModel_

## Friends

class | Var_Helper

## Detailed Description

proxy for a libor forward model covariance parameterization